<?php

namespace Litecms\Addon\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AddonsTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Addon\Models\Addons $addons)
    {
        return [
            'id'                => $addons->getRouteKey(),
            'key'               => [
                'public'    => $addons->getPublicKey(),
                'route'     => $addons->getRouteKey(),
            ], 
            'admin_user_login'  => $addons->admin_user_login,
            'add_bank'          => $addons->add_bank,
            'url'               => [
                'public'    => trans_url('addon/'.$addons->getPublicKey()),
                'user'      => guard_url('addon/addons/'.$addons->getRouteKey()),
            ], 
            'status'            => trans('app.'.$addons->status),
            'created_at'        => format_date($addons->created_at),
            'updated_at'        => format_date($addons->updated_at),
        ];
    }
}